View Issue Details

IDProjectCategoryView StatusLast Update
0008721Talerwallet (WebExtension)public2024-05-15 18:01
Reportersebasjm Assigned Tosebasjm  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
Product Version0.11 
Target Version0.11Fixed in Version0.11 
Summary0008721: implements wallet-core cancelation request
Description


This is needed e.g. for getWithdrawalDetailsForAmount which I call after each digit (or delete) the user entered. When e.g. the user types in 4 digits in less than a second, we don't need the results of the first three getWithdrawalDetailsForAmount calls anymore, but walletCore should immediately compute the data for the 4th cal

pass an optional string parameter "clientCancellationId" to every call. If this is not nil, then walletCore checks if there is another request with the same cancellationId still running, and if yes cancels the old one and starts the new one.
14:05

The old one then returns an error WALLET_CORE_REQUEST_CANCELLED.



TagsNo tags attached.

Relationships

related to 0008720 assignedFlorian Dold DB requests should support cancellation [estimate: 3h] 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2024-04-09 19:13 sebasjm New Issue
2024-04-09 19:13 sebasjm Status new => assigned
2024-04-09 19:13 sebasjm Assigned To => sebasjm
2024-04-09 19:13 sebasjm Relationship added related to 0008720
2024-04-16 18:08 sebasjm Status assigned => resolved
2024-04-16 18:08 sebasjm Resolution open => no change required
2024-05-15 17:53 Christian Grothoff Fixed in Version => 0.11
2024-05-15 18:01 Christian Grothoff Status resolved => closed